Tecnologia e non solo

settembre 23, 2007

Xorg 7.3 Nvidia DRI

Filed under: Archlinux,Debian,Gutsy,Sid — telperion @ 8:31 pm

Una segnalazione.

nvidia forum

Con Xorg 7.3 (core 1.4.x)
il modulo DRI viene caricato di default anche se non serve.

Con i driver Nvidia non serve,
essendo DRI un progetto usato solo dai driver video oss
forniti con Xorg medesimo.

Anche se caricato, il modulo “dovrebbe” essere innocuo,
ma dato che caricare un modulo che non serve a nulla,
lo trovo di nessuna utilità, ho provveduto a disattivarlo
come descritto.

Risultato (/var/log/Xorg.0.log):


[25] -1 0 0x0000e800 – 0x0000e81f (0x20) IX[B]

(WW) “dri” will not be loaded unless you’ve specified it to be loaded elsewhere.
(II) “extmod” will be loaded. This was enabled by default and also specified in the config file.

Altre info sui driver Nvidia nella “guida pericolosa”.

Ricordo che con Xorg 7.3
sono necessari i driver 100.14.19

Se usate i legacy dovete usare qualche
“sporco trucco rivoluzionario”.

13 commenti

  1. […] con Xorg 7.3 aggiungete: Disable […]

    Pingback di NNN - uN’altra guida per iNstallare i driver Nvidia (Debian Ubuntu) « Tecnologia e non solo — settembre 23, 2007 @ 8:40 pm

  2. Grazie della dritta, con il DRI abilitato non si vedevano le TV e si sentiva solo l’audio…
    Quasi quasi lo riattivo…

    Commento di esa — settembre 23, 2007 @ 9:50 pm

  3. eh non dirmelo .. a me è successo un mezzo casino proprio ora con gli aggiornamenti di arch tra xorg 7.3, gnome 2.20, nvidia e compiz … 1 ora persa a aggiornare ricompilare e risistemare (anche se già lo prevedevo) vediamo che cavolo succede quando sarà l’ora di Gutsy Gibbone il nuovo scimmione😛

    Commento di LuNa — settembre 24, 2007 @ 10:18 am

  4. Hai messo “testing”?
    Bravo fammi un pò da betatest…
    Io su Arch ho solo i 100.14.19 che mi sono pkgbildato da me,
    il resto aspetto, vedo su Sid eventuali casini.🙂

    Commento di telperion — settembre 24, 2007 @ 10:26 am

  5. certo testing !! per il momento funziona abbastanza tutto. Qualche problemino di upgrade per qualche dipendenza non soddisfatta e conflitti dovuti a “testing” che ho sistemato (abbastanza) facilmente con pacman, salvo driver fglrx che mi ha sbattuto dentro non si sa per quale motivo (ammazzati subito)
    ok xorg 7.3, installando come da manuale i 100.14.19 per il problema dell’ABI, evitando come la peste il configuratore automatico e tenendomi la mia vecchia configurazione “old style” per i problemi degli automatismi alla “human beings” del nuovo server grafico (tenere lontani come la peste). Unica cosettina da fare: fc-cache -f -v per risistemare la cache dei fonts che dava degli errori durante l’upgrade.
    Ora non mi compila più cairo-cleartype (immagino per l’upgrade di GTK) quindi niente font “sfocati” come li chiami tu, mo’ poi vedo che cacchio di casino è successo. Ho dovuto anche, ovviamente, ricompilare fusion perchè, come mi aspettavo, va a casino il decorator (sto usando il core 0.5.3 e và una bellezza)
    Gnome 2.20 sembra andar bene, anche se il nuovo configlet “aspetto” IMHO è una gran skifezza, lo preferivo prima. EOG non l’ho nemmeno provato perchè non lo uso, troppo limitato.
    E cosi’, ARCH al terzo posto di “velocità” di aggiornamento alla nuova versione del DM del piedone, dopo SID e FORESIGHT LINUX.
    [OT] Ho letto in giro di un nuovo configuratore che dovrebbe/potrebbe sostituire CCSM, ne sai niente ? [/OT]

    Commento di LuNa — settembre 24, 2007 @ 11:04 am

  6. Ma hai installato x.org 7.3? come? guida guida guida🙂 a parte gli scherzi su cosa hai isntallato x.rog 7.3?
    Ciao

    Commento di monolite — settembre 24, 2007 @ 11:21 am

  7. aggiornamentino: il drag & drop è una sciccheria adesso .. soprattutto fileroller, non funziona più amule (boh guarderò) e totem-xine mi da un sacco di problemi così sono passato a gstreamer e rifunziona tutto, salvo qualche momento di consumo abnorme della cpu (incomprensibile) .. ‘nsomma sto upgrade e “pericoloso”😀

    Commento di LuNa — settembre 24, 2007 @ 12:40 pm

  8. @LuNa:
    strano per il decorator di Compiz/Fusion su Sid le libmetacity 2.20 son arrivate e i gtk wd sia di Compiz che Beryl continuano a funzionare (evidentemente non hanno “rotto” la api stavolta).

    Il nuovo ccsm è solo una versione super-simple
    per “decelebrati con sindrome del mouse pasticcione”.
    Info quà. trunk quà.

    Commento di telperion — settembre 24, 2007 @ 1:20 pm

  9. @monolite
    in Debian Sid nei depositi e anche Gnome 2.20,
    in Archlinux nel depostito “testing”,
    nella “madre di tutte le nuances di marrone” (1) dovrebbe esserci già in Gutsy
    (ho una tribe 5 che aggiornerò solo a rc,
    non ho voglia di “smazzarmi” centinaia di mb ogni giorno per nulla)

    (1) “madre di tutti i marroni” suonava come qualcosa di diverso,
    mentre io intendevo realmente i colori.🙂

    Commento di telperion — settembre 24, 2007 @ 1:26 pm

  10. @telperion: a me ha soltanto “rotto” un po le balle per rimettere a posto i cocci😀 ordinaria amministrazione comunque.

    Commento di LuNa — settembre 24, 2007 @ 3:44 pm

  11. Non ha rotto le “api” ma ti rotto i “calabroni” LOL.

    Commento di telperion — settembre 24, 2007 @ 4:00 pm

  12. @telperion: un bagno di sangue .. non metterlo testing
    adesso non funziona più nulla, qualsiasi tema di vede uno schifo
    e firefox crasha .. funziona solo con clearlooks e niente altro, ed e’ l’unico tema visualizzato correttamente

    Commento di LuNa — settembre 25, 2007 @ 12:29 am

  13. aggiornamento dopo varie prove: compiz + gnome 2.20 = suicidio di massa (almeno su arch linux)… stranamente come passo a metacity funziona tutto come un orologio. mi sparero’ un bel downgrade di gnome sperando che non si trasformi in un bagno di sangue II (via un’intera mandria di mucche al macello) e gnome 2.20 se lo possono ficc …. eh😀

    Commento di LuNa — settembre 28, 2007 @ 11:37 pm


RSS feed for comments on this post.

Crea un sito o un blog gratuitamente presso WordPress.com.

%d blogger cliccano Mi Piace per questo: